Skip to main content
POST
/
api
/
v0
/
companies
/
{company_id}
/
github
/
installations
/
sync
Sync GitHub App installations from GitHub into the database.
curl --request POST \
  --url https://api.example.com/api/v0/companies/{company_id}/github/installations/sync
{
  "installations": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "isOrganization": true,
      "createdBy": {
        "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "username": "<string>",
        "avatar": "<string>",
        "disabledAt": "2023-11-07T05:31:56Z"
      },
      "createdAt": "2023-11-07T05:31:56Z",
      "installationId": 123,
      "accountName": "<string>",
      "avatarUrl": "<string>",
      "htmlUrl": "<string>",
      "disabledAt": "2023-11-07T05:31:56Z",
      "deletedAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.cantina.xyz/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

company_id
string<uuid>
required

Response

Synced GitHub installations

installations
object[]
required